For AI agents: visit https://insights-periculum.readme.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
cURL
curl --location --request POST 'https://api.insights-periculum.io/affordability'
--header 'Authorization: Bearer string_encrypted_accesst_token'
--header 'Content-Type: application/json'
--data-raw '{
"dti": 0.3,
"statementKey": 3,
"loanTenure": 6,
"averageMonthlyLoanRepaymentAmount": 1000
}'
Name Description Type Required statementKey The key of the statement to generate the affordability analysis for. You can only generate affordability for 'PROCESSED' statements int Yes dti Debt to income ratio for the affordability analysis double (between 0-1) Yes loanTenure The period of the loan in months int Yes averageMonthlyLoanRepaymentAmount Average Monthly Loan Repayment Amount ( Note: This field can be ignored by setting the value to 0, so it will not be added in the calculation) double No